<?php
require '../../conexao/conexao.php';
session_start();
//die(var_dump($_POST));
// Verifica se os parâmetros necessários foram passados via GET
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['id_departamentof'])) {
    $id_departamento = $_POST['id_departamentof'];

    // Restante do seu script...
} else {
    // Parâmetros ausentes, redireciona de volta para o departamentos
    $filtros = isset($_SESSION['filtros']) ? http_build_query($_SESSION['filtros']) : '';

    // Adicione os filtros como parâmetros GET no URL de redirecionamento
    $location = 'departamentos.php';
    if (!empty($filtros)) {
        $location .= '?' . $filtros;
    }

    // Redirecione para a página de destino
    header("Location: $location");
    exit;
}

// Verifica se o formulário foi enviado
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Verifica se o botão "Sim" foi clicado
    if (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'sim') {

        $stmt_departamento = $connectionmysql->prepare("UPDATE departamentos SET situacao = 'I' WHERE id_departamento = ?");
        $stmt_departamento->bind_param("s", $id_departamento);
        $stmt_departamento->execute();


        $filtros = isset($_SESSION['filtros']) ? http_build_query($_SESSION['filtros']) : '';

        // Adicione os filtros como parâmetros GET no URL de redirecionamento
        $location = './departamentos.php?status=sucesso';
        if (!empty($filtros)) {
            $location .= '&' . $filtros;
        }

        // Redirecione para a página de destino
        header("Location: $location");
        exit;
    } elseif (isset($_POST['confirmacao']) && $_POST['confirmacao'] === 'nao') {
        // Se o botão "Não" foi clicado, redireciona para o departamentos sem excluir
        $filtros = isset($_SESSION['filtros']) ? http_build_query($_SESSION['filtros']) : '';

        // Adicione os filtros como parâmetros GET no URL de redirecionamento
        $location = 'departamentos.php';
        if (!empty($filtros)) {
            $location .= '?' . $filtros;
        }

        // Redirecione para a página de destino
        header("Location: $location");
        exit;
    } else {
        $filtros = isset($_SESSION['filtros']) ? http_build_query($_SESSION['filtros']) : '';

        // Adicione os filtros como parâmetros GET no URL de redirecionamento
        $location = 'departamentos.php';
        if (!empty($filtros)) {
            $location .= '?' . $filtros;
        }

        // Redirecione para a página de destino
        header("Location: $location");
        exit;
    }
}

// Se o formulário ainda não foi enviado, exibe a mensagem de confirmação
